Package

## Class FFprobeSession

- All Implemented Interfaces:
    `com.arthenica.ffmpegkit.Session`

      public class FFprobeSession
      extends AbstractSession implements Session

  An FFprobe session.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final FFprobeSessionCompleteCallback` | `completeCallback` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `FFprobeSessionCompleteCallback` | `getCompleteCallback()` | Returns the session specific complete callback.
    `static FFprobeSession` | `create(Array<String> arguments)` | Builds a new FFprobe session.
    `static FFprobeSession` | `create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback)` | Builds a new FFprobe session.
    `static FFprobeSession` | `create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback, LogCallback logCallback)` | Builds a new FFprobe session.
    `static FFprobeSession` | `create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback, LogCallback logCallback, LogRedirectionStrategy logRedirectionStrategy)` | Builds a new FFprobe session.
    `boolean` | `isFFmpeg()` | Returns whether it is an `FFmpeg` session or not.
    `boolean` | `isFFprobe()` | Returns whether it is an `FFprobe` session or not.
    `boolean` | `isMediaInformation()` | Returns whether it is a `MediaInformation` session or not.
    `String` | `toString()` |

    - ### Methods inherited from class com.arthenica.ffmpegkit.AbstractSession

      `addLog, cancel, getAllLogs, getAllLogs, getAllLogsAsString, getAllLogsAsString, getArguments, getCommand, getCreateTime, getDuration, getEndTime, getFailStackTrace, getFuture, getLogCallback, getLogRedirectionStrategy, getLogs, getLogsAsString, getOutput, getReturnCode, getSessionId, getStartTime, getState, thereAreAsynchronousMessagesInTransmit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCompleteCallback

           FFprobeSessionCompleteCallback getCompleteCallback()

      Returns the session specific complete callback.

    - #### create

           static FFprobeSession create(Array<String> arguments)

      Builds a new FFprobe session.

      Parameters:
        `arguments` - command arguments

    - #### create

           static FFprobeSession create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback)

      Builds a new FFprobe session.

      Parameters:
        `arguments` - command arguments
        `completeCallback` - session specific complete callback

    - #### create

           static FFprobeSession create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback, LogCallback logCallback)

      Builds a new FFprobe session.

      Parameters:
        `arguments` - command arguments
        `completeCallback` - session specific complete callback
        `logCallback` - session specific log callback

    - #### create

           static FFprobeSession create(Array<String> arguments, FFprobeSessionCompleteCallback completeCallback, LogCallback logCallback, LogRedirectionStrategy logRedirectionStrategy)

      Builds a new FFprobe session.

      Parameters:
        `arguments` - command arguments
        `completeCallback` - session specific complete callback
        `logCallback` - session specific log callback
        `logRedirectionStrategy` - session specific log redirection strategy

    - #### isFFmpeg

           boolean isFFmpeg()

      Returns whether it is an `FFmpeg` session or not.

    - #### isFFprobe

           boolean isFFprobe()

      Returns whether it is an `FFprobe` session or not.

    - #### isMediaInformation

           boolean isMediaInformation()

      Returns whether it is a `MediaInformation` session or not.

    - #### toString

           String toString()